#include <bits/stdc++.h>
using namespace std;
int n,k,niz[20007];
int main(){
  cin>>n>>k;
  for(int i=1;i<=n;i++){
      cin>>niz[i];
  }
  for(int i=1;i<=n;i++){
      if(niz[i]==k){
         if(i==n){
            cout<<niz[1]<<endl;
            return 0;
         }
         else{
          cout<<niz[i+1]<<endl;
          return 0;
         }
      }
  }







  return 0;
}